Subject: Re: Where are Reg* implemented?
From: [email-masked] (Justin Hopkins)

31 Jul 1997 16:54:34 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked] (Unverified)
X-Mailer: Windows Eudora Light Version 3.0.1 (32)
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

At 01:08 AM 7/31/97 +0100, you wrote:
>I copied this testprogram from the M$ manuals, which uses
>the RegOpenKeyExA, RegQueryValueExA, RegQueryInfoKeyA and
>RegCloseKey functions. They are defined in windows.h, and
>a quick "strings -f *.a | grep Reg" finds the symbols in
>libadvapi32.a
>
>gcc -ladvapi32    pdh.c   -o pdh

Try using this command-line>
  gcc -o pdh.exe pdh.c -ladvapi32

I may be wrong, but I think gcc/g++ expect your libraries
to be at the end of the command line invocation.

Justin Hopkins

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".